E-MailRelay

Classes | Namespaces
gsocket.cpp File Reference
`#include "gdef.h"`
`#include "gsocket.h"`
`#include "gtest.h"`
`#include "gsleep.h"`
`#include "gmsg.h"`
`#include "gstr.h"`
`#include "gassert.h"`
`#include "glog.h"`

Go to the source code of this file.

## Classes
struct | GNet::StreamSocketImp::Options
| StreamSocket options. More...
struct | GNet::SocketImp::Options
| Socket options. More...

## Namespaces
namespace | GNet
| Network classes.
namespace | GNet::StreamSocketImp
| An implementation namespace for G::StreamSocket.
namespace | GNet::SocketImp
| An implementation namespace for G::Socket.